> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get estimated delivery price

GET https://www.okx.com/api/v5/public/estimated-price

Retrieve the estimated delivery price of a FUTURES contract or exercise price of an OPTION, available only 1 hour before delivery/exercise.

Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-estimated-price

## Request

### Query parameters

- `instId` (string, required) — Instrument ID, e.g. BTC-USD-200214. Only applicable to FUTURES/OPTION.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5PublicEstimatedPriceGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5PublicEstimatedPriceGetResponsesContentApplicationJsonSchemaDataItems

- `instType` (string, optional) — Instrument type, FUTURES or OPTION.
- `instId` (string, optional) — Instrument ID, e.g. BTC-USD-200214.
- `settlePx` (string, optional) — Estimated delivery/exercise price.
- `ts` (string, optional) — Data return time, Unix timestamp in milliseconds.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "instType": "FUTURES",
      "instId": "BTC-USDT-201227",
      "settlePx": "200",
      "ts": "1597026383085"
    }
  ]
}
```

**SDK Code**

```python publicData_getEstimatedPrice_example
import requests

url = "https://www.okx.com/api/v5/public/estimated-price"

querystring = {"instId":"BTC-USD-200214"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript publicData_getEstimatedPrice_example
const url = 'https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go publicData_getEstimatedPrice_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby publicData_getEstimatedPrice_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java publicData_getEstimatedPrice_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214")
  .asString();
```

```php publicData_getEstimatedPrice_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214');

echo $response->getBody();
```

```csharp publicData_getEstimatedPrice_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift publicData_getEstimatedPrice_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/estimated-price?instId=BTC-USD-200214")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```